Ticket #9254: scummvm-devkitppc.patch

File scummvm-devkitppc.patch, 3.6 KB (added by SF/wntrmute, 13 years ago)

fixes for compiling with latest devkitPPC under msys on windows

  • configure

     
    213213        echo "$CXX $LDFLAGS $CXXFLAGS $TMPC -o $TMPO$HOSTEXEEXT $@" >> "$TMPLOG"
    214214        rm -f "$TMPO$HOSTEXEEXT"
    215215        ( $CXX $LDFLAGS $CXXFLAGS "$TMPC" -o "$TMPO$HOSTEXEEXT" "$@" ) >> "$TMPLOG" 2>&1
    216         TMP="$?"
    217         echo "return code: $TMP" >> "$TMPLOG"
     216        RES="$?"
     217        echo "return code: $RES" >> "$TMPLOG"
    218218        echo >> "$TMPLOG"
    219         return "$TMP"
     219        return "$RES"
    220220}
    221221
    222222cc_check_clean() {
     
    225225
    226226cc_check() {
    227227        cc_check_no_clean "$@"
    228         TMP="$?"
     228        RES="$?"
    229229        cc_check_clean
    230         return "$TMP"
     230        return "$RES"
    231231}
    232232
    233233cc_check_define() {
     
    10071007gamecube)
    10081008        _host_os=gamecube
    10091009        _host_cpu=ppc
    1010         _host_alias=powerpc-gekko
     1010        _host_alias=powerpc-eabi
    10111011        ;;
    10121012gp2x)
    10131013        _host_os=gph-linux
     
    11221122wii)
    11231123        _host_os=wii
    11241124        _host_cpu=ppc
    1125         _host_alias=powerpc-gekko
     1125        _host_alias=powerpc-eabi
    11261126        ;;
    11271127wince)
    11281128        _host_os=wince
     
    13681368fi
    13691369echo $_global_constructors
    13701370
     1371if test ! "x$(which $_host_alias-strings)" = "x"; then
     1372_strings=$_host_alias-strings
     1373else
     1374_strings=strings
     1375fi
     1376
    13711377#
    13721378# Check for endianness
    13731379#
     
    13821388int main() { _ascii (); _ebcdic (); return 0; }
    13831389EOF
    13841390$CXX $CXXFLAGS -c -o $TMPO.o tmp_endianness_check.cpp
    1385 if strings $TMPO.o | grep BIGenDianSyS >/dev/null; then
     1391if $_strings $TMPO.o | grep BIGenDianSyS >/dev/null; then
    13861392        _endian=big
    13871393else
    13881394        _endian=little
     
    14221428#
    14231429echo_n "Type with 1 byte... "
    14241430type_1_byte=`find_type_with_size 1`
    1425 TMP="$?"
     1431RES="$?"
    14261432echo "$type_1_byte"
    1427 test $TMP -eq 0 || exit 1       # check exit code of subshell
     1433test $RES -eq 0 || exit 1       # check exit code of subshell
    14281434
    14291435echo_n "Type with 2 bytes... "
    14301436type_2_byte=`find_type_with_size 2`
    1431 TMP="$?"
     1437RES="$?"
    14321438echo "$type_2_byte"
    1433 test $TMP -eq 0 || exit 1       # check exit code of subshell
     1439test $RES -eq 0 || exit 1       # check exit code of subshell
    14341440
    14351441echo_n "Type with 4 bytes... "
    14361442type_4_byte=`find_type_with_size 4`
    1437 TMP="$?"
     1443RES="$?"
    14381444echo "$type_4_byte"
    1439 test $TMP -eq 0 || exit 1       # check exit code of subshell
     1445test $RES -eq 0 || exit 1       # check exit code of subshell
    14401446
    14411447#
    14421448# Check whether we can use x86 asm routines
  • backends/platform/wii/main.cpp

     
    221221        printf("shutdown\n");
    222222
    223223        SYS_UnregisterResetFunc(&resetinfo);
    224         fatUnmountDefault();
     224        //fatUnmountDefault();
    225225
    226226        if (res)
    227227                show_console(res);
  • backends/platform/wii/osystem_events.cpp

     
    185185        _padAcceleration = 9 - ConfMan.getInt("wii_pad_acceleration");
    186186
    187187#ifdef USE_WII_KBD
    188         _kbd_active = KEYBOARD_Init() >= 0;
     188        _kbd_active = KEYBOARD_Init(NULL) >= 0;
    189189#endif
    190190}
    191191
  • backends/platform/wii/wii.mk

     
    1717        $(DEVKITPPC)/bin/geckoupload $<
    1818
    1919wiigdb:
    20         $(DEVKITPPC)/bin/powerpc-gekko-gdb -n $(EXECUTABLE)
     20        $(DEVKITPPC)/bin/powerpc-eabi-gdb -n $(EXECUTABLE)
    2121
    2222wiidebug:
    23         $(DEVKITPPC)/bin/powerpc-gekko-gdb -n $(EXECUTABLE) -x $(srcdir)/backends/platform/wii/gdb.txt
     23        $(DEVKITPPC)/bin/powerpc-eabi-gdb -n $(EXECUTABLE) -x $(srcdir)/backends/platform/wii/gdb.txt
    2424
    2525# target to create a Wii snapshot
    2626wiidist: all